package ch.sahits.io;

import java.io.File;
/**
 * This class encapsuled different mehtods conserning the in and
 * output of data
 * (c) by Sahits.ch 2007
 * @author Andi
 * @version 1.0
 */
public class IOUtil {
	
	/**
	 * Get the path to the temporary file directory
	 * Application-Root/temp
	 * @return temp file directory
	 */
	public static String getTempDir(){
		String relDir = "/temp/";
		String path = getBaseDir();
		File filePath = new File(path+relDir);
		if (!(filePath.exists())){
			if (!filePath.mkdir()){
				System.out.println("Temp dir could not be created.");
			}
		}
		return path+relDir;
	}
	/**
	 * Get the base directory of the installation
	 * @return
	 */
	public static String getBaseDir() {
		File tempFile = new File("temp");
		String path = tempFile.getAbsolutePath();
		tempFile.delete();
		path = path.substring(0,path.lastIndexOf(System.getProperty("file.separator")));
		return path;
	}

	/**
	 * Get the path to the image file directory
	 * Application-Root/image
	 * @return image file directory
	 */
	public static String getImageDir(){
		String relDir = "/image/";
		String path = getBaseDir();
		return path+relDir;
	}
}
