package ch.sahits.util;

/**
 * This class is the Interface to {@link Observable}
 * @author Andi Hotz
 *
 */
public interface IObersvable {

	/**
	 * @param obeserver to add to the list
	 * @see java.util.Observable#addObserver(java.util.Observer)
	 */
	public void addObserver(IObserver obeserver);

	/**
	 * @return Number of registered servers
	 * @see java.util.Observable#countObservers()
	 */
	public int countObservers();

	/**
	 * @param obeserver to be removed from the list
	 * @see java.util.Observable#deleteObserver(java.util.Observer)
	 */
	public void deleteObserver(IObserver obeserver);

	/**
	 * @see java.util.Observable#deleteObservers()
	 */
	public void deleteObservers();

	/**
	 * @return true if somthing observed has been changed
	 * @see java.util.Observable#hasChanged()
	 */
	public boolean hasChanged();

	/**
	 * @see java.util.Observable#notifyObservers()
	 */
	public void notifyObservers();

	/**
	 * @param msgObj Message object
	 * @see java.util.Observable#notifyObservers(java.lang.Object)
	 */
	public void notifyObservers(Object msgObj);

}