package ch.sahits.util;

/**
 * An interface can implement the <code>Observer</code> interface when it wants to be 
 * informed of changes in observable objects.
 * This class is the corresponding to java.util.Observer but works with
 * {@link IObersvable}.
 * @author Andi Hotz
 *
 */
public interface IObserver {
	/**
	 * This method is called whenever the observed object is changed. An application 
	 * calls an <code>IObservable</code> object's notifyObservers method to have all 
	 * the object's observers notified of the change.
	 * @param o Object that is observed
	 * @param arg argument that is passed
	 */
	public void update(IObersvable o, Object arg);
}
