package ch.sahits.util;

/**
 * This class adds functionality to the String mehtod
 * @author Andi Hotz
 *
 */
public class StringManipulator {
	private String s;
	/**
	 * Initialize the String
	 * @param s
	 */
	public StringManipulator(String s){
		this.s=s;
	}
	/**
	 * Replace the first occurence of <code>toReplace</code> with
	 * <code>replaceWith</code>. If <code>toReplace</code> is not
	 * in the String the origianal is returned.
	 * @param toReplace String to be replaced
	 * @param replaceWith replacement for <code>toReplaced</code>
	 * @return new String with the replacement in place.
	 */
	public String replace(String toReplace, String replaceWith){
		int pos = s.indexOf(toReplace);
		if (pos==-1)
			return s;
		int end = pos+toReplace.length();
		return s.substring(0, pos)+replaceWith+s.substring(end);
	}
	/**
	 * Replace all occurrences of <code>toReplace</code> with
	 * <code>replaceWith</code>. If <code>toReplace</code> is not
	 * in the String the origianal is returned.
	 * @param toReplace String to be replaced
	 * @param replaceWith replacement for <code>toReplaced</code>
	 * @return new String with the replacement in place.
	 */
	public String replaceAll(String toReplace, String replaceWith){
		String replaced;
		do{
			 replaced = replace(toReplace, replaceWith);
		} while (replaced.equals(s));
		return replaced;
	}
}
