package ch.sahits.util;

/**
 * Utility class for handling time related stuff
 * @author Andi Hotz, Sahits GmbH
 */
public final class TimeHelper {
	  /**
	   * Compute the duration of a task giben by the
	   * start and endtime. The time is in the form of
	   * milli- or nanoseconds. Both times must be of the
	   * same amplitude. The duration is given as a string
	   * of the format HH:MM:SS
	   * @param startTime in milli or nanoseconds
	   * @param endTime in milli or nanoseconds
	 * @param nanosecond flag indicating the input times are in nanoseconds
	   * @return Duration Time
	   */
	  public static String getDuration(long startTime,long endTime,boolean nanosecond){
		  if (nanosecond){
			  endTime=endTime/1000000;
			  startTime=startTime/1000000;
		  }
		  long ms = endTime-startTime;
		  long s = ms/1000;
		  long m = s/60;
		  s = s%60;
		  long h = m/60;
		  m=m%60;
		  String sekunden=String.valueOf(s);
		  String minuten=String.valueOf(m);
		  String result = "";
		  if (h>0) {
			  result +=String.valueOf(h)+":";
			  minuten = String.valueOf(m);
			  while (minuten.length()<2){
				  minuten="0"+minuten;
			  }
		  }
		  if (m>0 || h>0){
			  result+=minuten+":";
			  sekunden = String.valueOf(s);
			  while (sekunden.length()<2){
				  sekunden="0"+sekunden;
			  }
		  }
		  result +=sekunden;
		  return result;
	  }

}
